const state = {
    journals: {
        default: [],
        values: this.default
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    journals(state) {
        return state.journals.values
    }
}

const mutations = {
    setJournals(state, payload) {
        state.journals.values = [...payload]
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     * @param {*} payload 
     */
    setJournals({ commit }, payload) {
        commit('setJournals', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}